Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		opulus
Version:	0.9
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://opulus.sourceforge.net	
Group:		Science/Engineering
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	petri net editor / simulator
BuildRequires:  qt4-devel
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel

%description
Opulus is a free Petri Net simulator useful to learn about place/transition in Petri Nets.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} .
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_datadir/applications
%_datadir/icons
%_datadir/opulus
%_libdir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9-1
- Initial Release
